Package Gnumed :: Package wxpython :: Module gmKeywordExpansionWidgets |
[frames] | no frames]

# Module gmKeywordExpansionWidgets

source code

GNUmed keyword expansion widgets.

Author: Karsten Hilbert <Karsten.Hilbert@gmx.net>

License: GPL v2 or later

Classes
| cKeywordExpansion_TextCtrlMixin
| cTextExpansionEditAreaPnl
| cTextExpansionFillInDlg

Functions
configure_keyword_text_expansion(parent=None) | source code
expand_keyword(parent=None, keyword=None, show_list=False) Expand keyword and replace inside it. | source code

Variables
| __package__ = ``'``Gnumed.wxpython``'``

Imports: logging, sys, regex, os, wx, gmDispatcher, gmPG2, gmTools, gmKeywordExpansion, gmEditArea, gmListWidgets, wxgTextExpansionEditAreaPnl, wxgTextExpansionFillInDlg

Function Details

### expand_keyword(parent=None, keyword=None, show_list=False) | source code
    Expand keyword and replace inside it.

    Returns:
            None: aborted or no expansion available
            u'': empty expansion
            u'<text>' the expansion